public class NombreAscii implements Dessinable{

	private int nombre;
	private Point origine;
	public NombreAscii(int nombre, Point origine)
	{
		this.origine = origine;
		if(nombre<10 && nombre >=0)
			this.nombre = nombre;
	}
	
	public char getCouleur()
	{
		return (""+nombre).charAt(0);
	}
	public boolean occupe(Point point)
	{
		int x = point.getX();
		int y = point.getY();
		int x2 = origine.getX();
		int y2 = origine.getY();
		if(x2<=x && x2+3>x && y2<=y && y2+5>y) {
			return NOMBRES[nombre][y-y2][x-x2];
		} else {
			return false;
		}
	}
	
	
	private static final boolean[][][] NOMBRES =
		{
		// number 0
		 {{false,true,false},
		  {true,false,true},
		  {true,false,true},
		  {true,false,true},
		  {false,true,false},
		 },
		// number 1
		 {{false,false,true},
		 {false, true, true},
		 {false, false, true},
		 {false, false, true},
		 {false, false, true}
		 },
		 //number 2
		 {
	     {true,true,true},
		 {false,false,true},
		 {false, true, true},
		 {true, false, false},
		 {true, true, true}	 
		 },
		 //number 3
		 {
	     {true,true,true},
		 {false,false,true},
		 {false, true, true},
		 {false,false,true},
		 {true, true, true}	 
		 },
		 //number 4
		 {
	     {false,false,true},
		 {false,true,true},
		 {true, true, true},
		 {false, false, true},
		 {false, false, true}	 
		 },
		 //number 5
		 {
	     {true,true,true},
		 {true,false,false},
		 {false, true, true},
		 {false, false, true},
		 {true, true, true}	 
		 },
		 //number 6
		 {
	     {false,true,true},
		 {true,false,false},
		 {true, true, true},
		 {true, false, true},
		 {true, true, true}	 
		 },
		 //number 7
		 {
	     {true,true,true},
		 {false,false,true},
		 {false, true, false},
		 {true, false, false},
		 {true, false, false}	 
		 },
		 //number 8
		 {
	     {true,true,true},
		 {true,false,true},
		 {true, true, true},
		 {true, false, true},
		 {true, true, true}	 
		 },
		 //number 9
		 {
	     {true,true,true},
		 {true,false,true},
		 {true, true, true},
		 {false, false, true},
		 {true, true, true}	 
		 }
	    };
	
}

